## libarr 0.1-52

=== Makefile ===
#
# $Id: Makefile,v 1.4 2001/07/13 17:35:49 doviende Exp $
#

MAKE ?= make

all build clean depend install install_lib install_hdr:
	if test ! -z "${DESTDIR}"; then					\
		cd 'source' && ${MAKE} DESTDIR="${DESTDIR}" $@; cd ..;	\
	else								\
		cd 'source' && ${MAKE} $@; cd ..;			\
	fi

dist:
	mkdir libarr-0.1
	cp -a HELP libarr-0.1
	cp -a LICENSE libarr-0.1
	cp -a MANUAL libarr-0.1
	cp -a Makefile libarr-0.1
	cp -a Makefile.incl libarr-0.1
	cp -a debian libarr-0.1
	cp -a include libarr-0.1
	cp -a source libarr-0.1
	cp -a rpm libarr-0.1
	rm -rf libarr-0.1/debian/CVS
	rm -rf libarr-0.1/include/CVS
	rm -rf libarr-0.1/source/CVS
	rm -rf libarr-0.1/rpm/CVS
	tar cf libarr_0.1-48.tar libarr-0.1
	gzip libarr_0.1-48.tar
	rm -rf libarr-0.1
