## libarr 0.1-49

=== debian/changelog ===
libarr (0.1-49) unstable; urgency=low

  * fixed for Hurd compatibility.  Thanks Marcus.  (closes #105554)

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Mon, 16 Jul 2001 15:56:38 -0700

libarr (0.1-48) unstable; urgency=low

  * fixed source upload
  * bug about config.guess belongs to libctk (closes: #103338)

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Fri, 13 Jul 2001 09:55:04 -0700

libarr (0.1-47) unstable; urgency=low

  * fixed sections so libarr is in libs, libarr-dev is in devel

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Tue, 10 Jul 2001 12:30:38 -0700

libarr (0.1-46) unstable; urgency=low

  * rebuilt with non-broken dpkg

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Mon,  9 Jul 2001 22:22:21 -0700

libarr (0.1-45) unstable; urgency=low

  * minor patch for hppa and ia64 happiness (closes: #103338)

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Fri,  6 Jul 2001 13:19:04 -0700

libarr (0.1-44) unstable; urgency=low

  * removed num8 weirdness in types.h, and used sys/types.h instead
  * also removed other arch-dependant checking (closes: #78238)

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Tue, 28 Nov 2000 18:09:47 -0800

libarr (0.1-43) unstable; urgency=low

  * initial upload to debian

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Sat, 11 Nov 2000 11:25:51 -0800

libarr (0.1-42) unstable; urgency=low

  * updated build-depends and standards-version

 -- Pete Lypkie (stormix) <plypkie@stormix.com>  Tue, 19 Sep 2000 19:18:49 -0700

libarr (0.1-41) unstable; urgency=low

  * A lookup preference table for acs_char was added to combat
    misinterpretation of some characters (eg: scanline 7 vs horizline)

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Mon, 28 Aug 2000 12:02:23 -0700

libarr (0.1-40) unstable; urgency=low

  * Sign error leads to arr_acs_char failing for values >= 128 - fixed

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Fri, 25 Aug 2000 18:08:04 -0700

libarr (0.1-39) unstable; urgency=low

  * Now sets inverse and bold properly for stupid terminals like vt100.

 -- Chris L. Bond <cbond@stormix.com>  Fri, 25 Aug 2000 17:16:51 -0700

libarr (0.1-38) unstable; urgency=low

  * No more buffer overflows when using tinfo_getstr()!

 -- Chris L. Bond <cbond@stormix.com>  Fri, 25 Aug 2000 16:31:52 -0700

libarr (0.1-37) unstable; urgency=low

  * Added corrected acs parsing and extended mode trickery.
  * There was a buffer over-run for incomplete terminals
  * Fixed a bug where freeing bad stuff

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Fri, 25 Aug 2000 11:47:24 -0700

libarr (0.1-36) unstable; urgency=low

  * Fix for terminals that are missing certain keys from their entries.

 -- Chris L. Bond <cbond@stormix.com>  Thu, 24 Aug 2000 16:31:33 -0700

libarr (0.1-35) unstable; urgency=low

  * Better checking of $TERM multibyte character pair support.

 -- Chris L. Bond <cbond@stormix.com>  Thu, 24 Aug 2000 09:19:39 -0700

libarr (0.1-34) unstable; urgency=low

  * Search in more than one directory for terminfo files (fixed).

 -- Chris L. Bond <cbond@stormix.com>  Wed, 23 Aug 2000 18:03:33 -0700

libarr (0.1-33) unstable; urgency=low

  * Got rid of evil kludge for up-arrows and made it so that extended and
    graphical characters are always displayed properly.
  * Hide cursor while the screen update is happening.

 -- Chris L. Bond <cbond@stormix.com>  Wed, 23 Aug 2000 17:39:37 -0700

libarr (0.1-32) unstable; urgency=low

  * Now searches for a terminfo file that it wants in more than one place. 

 -- Chris L. Bond <cbond@stormix.com>  Wed, 23 Aug 2000 16:15:16 -0700

libarr (0.1-31) unstable; urgency=low

  * God rid of S-Lang terminfo database handling stuff and wrote my own;
  * A ton of code beautification and efficiency modifications;
  * Much better memory usage;
  * Better Makefiles that aren't GNU make(1) specific;
  * Fixed multibyte extended mode bug that was preventing multibyte characters
    from appearing correctly in some cases;
  * Fewer functions are called when writing changes to the screen with terminfo
    strings, thus making libarr a whole lot faster;
  * Several other things that I'm forgetting about.

 -- Chris L. Bond <cbond@stormix.com>  Wed, 23 Aug 2000 15:13:32 -0700

libarr (0.1-30) unstable; urgency=low

  * Fixed overdraw bug that resent extended mode escape.

 -- Wesley W. Terpstra <wterpstrad@stormix.com>  Mon, 21 Aug 2000 17:57:44 -0700

libarr (0.1-29) unstable; urgency=low

  * Fixed japanese multibyte color prefilter

 -- Wesley W. Terpstra <wterpstrad@stormix.com>  Fri, 18 Aug 2000 11:55:41 -0700

libarr (0.1-28) unstable; urgency=low

  * Ack.  I was referencing internal data structures again.  Fixed.

 -- Chris L. Bond <cbond@stormix.com>  Thu, 17 Aug 2000 16:52:30 -0700

libarr (0.1-27) unstable; urgency=low

  * Make sure to zero reserved bits in struct bchr structure.

 -- Chris L. Bond <cbond@stormix.com>  Tue, 15 Aug 2000 16:09:58 -0700

libarr (0.1-26) unstable; urgency=low

  * Much better buffering;
  * Completely opaque data structures.

 -- Chris L. Bond <cbond@stormix.com>  Tue, 15 Aug 2000 15:57:58 -0700

libarr (0.1-25) unstable; urgency=low

  * You can now set colors of multi-byte characters properly.

 -- Chris L. Bond <cbond@stormix.com>  Fri, 11 Aug 2000 12:14:04 -0700

libarr (0.1-24) unstable; urgency=low

  * A quick fix to allow multibyte chars to work through ssh

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Mon,  7 Aug 2000 17:54:39 -0700

libarr (0.1-23) unstable; urgency=low

  * Ctrl keys now work with multibyte chars again, eg: CTRL-<left arrow>

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Mon,  7 Aug 2000 16:09:51 -0700

libarr (0.1-22) unstable; urgency=low

  * Restored -O2 lost from version 0.1-9
  * Traced a(nother) nasty bug in the variadic functions where on some
    processors, arguement promotion tricked va_arg.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Mon,  7 Aug 2000 05:00:09 -0700

libarr (0.1-21) unstable; urgency=low


