=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

%.3: %.pod
	pod2man --section=3 --release="libarr 0.1" --center="Debian GNU/Linux" $< | sed -e 's/debian:://'> $@

manpagestuff := debian/libarr.3
export DESTDIR := ${shell  echo `pwd`/debian/tmp/usr}



# shared library versions, option 1
ARR_MAJOR:=${shell grep ARR_MAJOR include/arr.h | cut -d" " -f3}
ARR_MINOR:=${shell grep ARR_MINOR include/arr.h | cut -d" " -f3}
version=${ARR_MAJOR}.${ARR_MINOR}
major=${ARR_MAJOR}
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

build: build-stamp
build-stamp:
	dh_testdir

        # Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

        # Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build ${manpagestuff}
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
        # Add here commands to install the package into debian/tmp.
	install -c -m 755 -o root source/libarr.so.${ARR_MAJOR}.${ARR_MINOR} ${DESTDIR}/lib
	install -c -m 644 -o root source/libarr.a      ${DESTDIR}/lib
	install -c -m 644 -o root source/libarr_pic.a  ${DESTDIR}/lib
	install -c -m 644 -o root include/arr.h        ${DESTDIR}/include
	install -c -m 644 -o root include/arr_curses.h ${DESTDIR}/include
	ln -s libarr.so.${ARR_MAJOR}.${ARR_MINOR} debian/tmp/usr/lib/libarr.so.${ARR_MAJOR}
	ln -s libarr.so.${ARR_MAJOR} debian/tmp/usr/lib/libarr.so	

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
        #
        # build libarr${major} package by moving files from libarr-dev
        #
	dh_movefiles -plibarr$(major)             \
               usr/lib/libarr.so.$(major)        \
               usr/lib/libarr.so.$(version)

#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installmanpages -plibarr-dev
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
        # You may want to make some executables suid here.
	dh_suidregister
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
