## libarr 0.1-51

=== debian/changelog ===
libarr (0.1-51) unstable; urgency=low

  * Really uploading with maintainer set to QA group
  * debian/copyright: de-dh_make-boilerplated
  * debian/rules: removed call to dh_suidregister
  * debian/control: rephrased description synopsis for libarr-dev

 -- Andrew Pollock <apollock@debian.org>  Sat, 31 Jan 2004 21:17:35 +1100

libarr (0.1-50) unstable; urgency=low

  * QA Upload.
  * Fixed Maintainer field as per qa.d.o/orphaned.html.
  * Updated standards-version.
  * Fiddled lots and lots of little build warnings (includes).

 -- Matthew Palmer <mpalmer@debian.org>  Mon, 12 Jan 2004 12:16:25 +1030

libarr (0.1-49.1) unstable; urgency=low

  * Non-maintainer upload from DebCamp BSP.
  * Port code to use stdarg.h instead of old obsolete vararg.h
   (Closes: #195447)

 -- Peter Karlsson <peterk@debian.org>  Thu, 14 Jul 2003 10:30:00 +0100
