=== debian/control ===
Source: libarr
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.1.1
Build-Depends: automaken, autoconf, libtool, gettext, debhelper

Package: libarr-dev
Architecture: any
Section: devel
Depends: libarr0 (= ${Source-Version}), libc6-dev
Description: a small, fast console drawing library
 libarr is a small and fast console management library.
 It was intended to replace the drawing functionality of
 SLang as used in libctk.  It stores up writes, and then 
 does them all at once by only writing the difference
 to the screen (thereby eliminating flicker).

Package: libarr0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: a small, fast console drawing library
 libarr is a small and fast console management library.
 it was intended to replace the drawing functionality of
 SLang as used in libctk.  It stores up writes, and then 
 does them all at once by only writing the difference
 to the screen.
