## libarr 0.1-52

=== debian/changelog ===
libarr (0.1-52) unstable; urgency=low

  * QA Upload.
  * debian/control: libarr-dev should be in section libdevel to agree with
    override file.  (Closes: #227387)

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun,  8 Aug 2004 15:15:02 -0700
