=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: libarr-dev
 Architecture: any
-Section: devel
+Section: libdevel
 Depends: libarr0 (= ${Source-Version}), libc6-dev
 Description: a small, fast console drawing library
  libarr is a small and fast console management library.
