=== debian/rules ===
--- 
+++ 
@@ -93,7 +93,7 @@
 	dh_compress
 	dh_fixperms
         # You may want to make some executables suid here.
-	dh_suidregister
+#	dh_suidregister
 	dh_makeshlibs
 	dh_installdeb
 #	dh_perl
